FROM otakukaze/golang-base-image:1-alpine as builder
WORKDIR /data
COPY . .
RUN apk add --no-cache make gcc musl-dev \
  && make

FROM alpine:latest
WORKDIR /data
COPY --from=builder /data/api /usr/bin
COPY ./config/config.yml /data/config.yml
EXPOSE 10230
CMD ["/usr/bin/api"]
